Bug 253914 - conga doesn't allow you to reuse nfs export and nfs client resources
Summary: conga doesn't allow you to reuse nfs export and nfs client resources
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: conga   
(Show other bugs)
Version: 5.1
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: ---
Assignee: Ryan McCabe
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-22 21:27 UTC by Corey Marthaler
Modified: 2009-04-16 22:24 UTC (History)
3 users (show)

Fixed In Version: RHSA-2007-0640
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 15:38:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0640 normal SHIPPED_LIVE Moderate: conga security, bug fix, and enhancement update 2007-11-08 14:19:24 UTC

Description Corey Marthaler 2007-08-22 21:27:41 UTC
Description of problem:
With conga, I can't make the following resource file that is needed:

                <service autostart="1" domain="taft_fo" exclusive="0" name="NFS
IS FUN" recovery="relocate">
                        <ip ref="10.15.89.210"/>
                        <clusterfs ref="gfs1">
                                <nfsexport ref="taft nfs export">
                                        <nfsclient ref="all clients"/>
                                </nfsexport>
                        </clusterfs>
                        <clusterfs ref="gfs2">
                                <nfsexport ref="taft nfs export">
                                        <nfsclient ref="all clients"/>
                                </nfsexport>
                        </clusterfs>
                </service>

Instead it only allows the following:

                <service autostart="1" domain="taft_fo" exclusive="0" name="NFS
IS FUN" recovery="relocate">
                        <ip ref="10.15.89.210"/>
                        <clusterfs ref="gfs1">
                                <nfsexport ref="taft nfs export">
                                        <nfsclient ref="all clients"/>
                                </nfsexport>
                        </clusterfs>
                        <clusterfs ref="gfs2"/>
                </service>

And this will cause export permission errors for the nfs client:

[root@flea-10 ~]# mount -t nfs 10.15.89.210:/mnt/gfs1 /mnt/taft1
[root@flea-10 ~]# mount -t nfs 10.15.89.210:/mnt/gfs2 /mnt/taft2

[root@flea-10 ~]# touch /mnt/taft1/foobar
[root@flea-10 ~]# touch /mnt/taft2/foobar
touch: cannot touch `/mnt/taft2/foobar': Permission denied



Version-Release number of selected component (if applicable):
0.10.0-5.el5

Comment 1 Kiersten (Kerri) Anderson 2007-08-23 18:13:10 UTC
Ryan, is this bug fixed in a release version?

Comment 4 Corey Marthaler 2007-08-28 21:46:31 UTC
fix verified in 0.10.0-6.el5.

Comment 6 errata-xmlrpc 2007-11-07 15:38:38 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0640.html



Note You need to log in before you can comment on or make changes to this bug.